Subject: [bug#38616] [Nicolò Balzarotti] [bug#38616] emacs: fix odt export

From: Nicolas Goaziou <[email-masked]>
Date: Tue, 17 Dec 2019 10:36:51 +0100

Hello,

[email-masked] (Nicolò Balzarotti) writes:

> The problem happens on ox-odt, when the file OrgOdtStyles.xml
> permissions are read-only (this is true especially for Guix and Nix
> where all the "store" is readonly). The file gets copied to /tmp/ob-*/
> directory, and is then modified. However, the file is assumed to be
> read/write. When the file is not, the export fails. I've sent a one-line
> patch (simply change permissions to the newly-copied file):
>
>> (set-file-modes (concat org-odt-zip-dir "styles.xml") #o600)
>
> to guix-patches (here in CC, I'm also forwarding my original patch
> submission here), but I've been suggested to send the patch upstream.
>
> What do you think? I can submit a proper patch if needed (but feel free
> to patch it yourself)

It sounds good. Could you send a patch against "maint" branch?

Thank you.

Regards,

-- 
Nicolas Goaziou